Bug 18907 - fdisk errors during write of partition
fdisk errors during write of partition
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-11 13:19 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-17 19:57:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-11 13:19:59 EDT
When using fdisk, during install phase or afterwards, when writing out the 
new partition information, fdisk errors out saying that it was unable to 
re-read the existing partition data. It appears to write the new partition 
table, but then install of 7.0 crashes.
Comment 1 Elliot Lee 2001-07-17 18:37:16 EDT
What details it give when it produces this error?

Apologies for the unresponsiveness of the former util-linux packager...
Comment 2 Need Real Name 2001-07-17 19:07:52 EDT
Well, now that 7.1 is out, fdisk has gotten even worse. Simply run fdisk as 
root. Make a change, write it out and watch it core dump.
Comment 3 Elliot Lee 2001-07-17 19:25:33 EDT
I've never had fdisk core dump on me like that. Do you have a way that I can
reproduce the problem, given that the "run install, use fdisk, write partition
table" steps don't do it for me?
Comment 4 Need Real Name 2001-07-17 19:57:26 EDT
>"run install, use fdisk, write partitiontable"

That does it for me every single time. Also core dumps for me (after installing 
and running RH 7.1) on command. fdisk from RH 6.2 on the same hardware works 
fine. Sorry I can't be more informative, but that's what I get.
Comment 5 Elliot Lee 2001-08-07 23:54:53 EDT
Without a way to reproduce, it's impossible to fix. Eyorgh.

Note You need to log in before you can comment on or make changes to this bug.